//
//  SpeakEleThrDaysFreeViewCtr.swift
//  SpeakEasyLearnEnglish
//
//  Created by edy on 2025/7/11.
//

import UIKit

class SpeakEleThrDaysFreeViewCtr: SpeakEleBaseViewCtr {

    override func viewDidLoad() {
        super.viewDidLoad()
        
        self.navigationController?.interactivePopGestureRecognizer?.isEnabled = false
        DispatchQueue.main.asyncAfter(deadline: .now() + 1) {
            self.toIAP()
        }
    }

    override func viewWillAppear(_ animated: Bool) {
        super.viewWillAppear(animated)
        titleView.isHidden = true
    }
    
    private func toIAP() -> Void {
        SpeakElePublicManager.share.PublicData.state = .subscribe
        let iap = SpeakEleIAPViewCtr()
        iap.navigationController?.AnimationState = .present
        self.navigationController?.pushViewController(iap, animated: true)
    }
}
